# Factions
Date: 2018-12-06

com.massivecraft.factions

## Class Factions

- java.lang.Object
- - com.massivecraft.factions.Factions

Direct Known Subclasses:
  MemoryFactions

    public abstract class Factions
    extends java.lang.Object

### Field Summary

Fields
`protected static Factions` `instance`

### Constructor Summary

Constructors
Constructor and Description
`Factions()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
`abstract Faction` `createFaction()`
`abstract void` `forceSave()`
`abstract void` `forceSave(boolean sync)`
`abstract java.util.ArrayList<Faction>` `getAllFactions()`
`abstract Faction` `getBestTagMatch(java.lang.String start)`
`abstract Faction` `getByTag(java.lang.String str)`
`abstract Faction` `getFactionById(java.lang.String id)`
`abstract java.util.Set<java.lang.String>` `getFactionTags()`
`static Factions` `getInstance()`
`abstract Faction` `getNone()` Deprecated.
`abstract Faction` `getSafeZone()`
`abstract Faction` `getWarZone()`
`abstract Faction` `getWilderness()`
`abstract boolean` `isTagTaken(java.lang.String str)`
`abstract boolean` `isValidFactionId(java.lang.String id)`
`abstract void` `load()`
`abstract void` `removeFaction(java.lang.String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    protected static Factions instance

### Constructor Detail

#### Factions

    public Factions()

### Method Detail

#### getInstance

    public static Factions getInstance()

#### getFactionById

    public abstract Faction getFactionById(java.lang.String id)

#### getByTag

    public abstract Faction getByTag(java.lang.String str)

#### getBestTagMatch

    public abstract Faction getBestTagMatch(java.lang.String start)

#### isTagTaken

    public abstract boolean isTagTaken(java.lang.String str)

#### isValidFactionId

    public abstract boolean isValidFactionId(java.lang.String id)

#### createFaction

    public abstract Faction createFaction()

#### removeFaction

    public abstract void removeFaction(java.lang.String id)

#### getFactionTags

    public abstract java.util.Set<java.lang.String> getFactionTags()

#### getAllFactions

    public abstract java.util.ArrayList<Faction> getAllFactions()

#### getNone

    @Deprecated
    public abstract Faction getNone()

Deprecated.

#### getWilderness

    public abstract Faction getWilderness()

#### getSafeZone

    public abstract Faction getSafeZone()

#### getWarZone

    public abstract Faction getWarZone()

#### forceSave

    public abstract void forceSave()

#### forceSave

    public abstract void forceSave(boolean sync)

#### load

    public abstract void load()